Package org.apache.solr.common.cloud

## Interface OnReconnect

    public interface OnReconnect

Implementations are expected to implement a correct hashCode and equals method needed to uniquely identify the listener as listeners are managed in a Set. In addition, your listener implementation should call org.apache.solr.cloud.ZkController#removeOnReconnectListener(OnReconnect) when it no longer needs to be notified of ZK reconnection events.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `command()`

### Method Detail

#### command

    void command()
          throws org.apache.zookeeper.KeeperException.SessionExpiredException

Throws:
  `org.apache.zookeeper.KeeperException.SessionExpiredException`